> For the complete documentation index, see [llms.txt](https://docs.keycloakify.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help.md).

# FAQ & HELP

- [Can't identify the page to customize?](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/cant-identify-the-page-to-customize.md)
- [How it Works](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/how-it-works.md): Understand how Keycloakify works under the hood
- [Some values you need are missing from in kcContext type definitions?](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/some-values-you-need-are-missing-from-in-kccontext.md): Extending the KcContext type definition
- [Can I use it with Vue or Angular](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/can-i-use-it-with-vue-or-angular.md)
- [Angular](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/can-i-use-it-with-vue-or-angular/angular.md)
- [Limitations](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/limitations.md)
- [Errors Keycloak in Logs](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/keycloak-error-in-log.md)
- [How do I add extra pages?](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/how-do-i-add-extra-pages.md)
- [Can I use react-hooks-form?](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/can-i-use-react-hooks-form.md)
- [Redirecting you users to the login/register pages](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/redirecting-you-users-to-the-login-register-pages.md)
- [Contributing](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/contributing.md): Looking to submit a PR? Thank you!
- [Migration Guides](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides.md)
- [v9 -> v10](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/v9-greater-than-v10.md)
- [CRA -> Vite](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/cra-greater-than-vite.md)
- [v8 -> v9](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/v8-greater-than-v9.md)
- [v7 -> v8](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/v7-greater-than-v8.md)
- [v6 -> v7](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/v6-greater-than-v7.md)
- [v6.x -> v6.12](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/v6.x-greater-than-v6.12.md)
- [v5 -> v6](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/migration-guides/readme-1.md): Migration guide from v5 to v6
- [Google reCaptcha and End of third-party Cookies](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/google-recaptcha-and-end-of-third-party-cookies.md)
- [Accessing the Realm Attributes](https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/accessing-the-realm-attributes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keycloakify.dev/keycloakify/v10/faq-and-help.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
